Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Report event of a content share (/v2/customer-engagement/content/shared)

Prev Next
Put
/v2/customer-engagement/content/shared

Push engagement events into Gong and display them as events in Gong’s activity timeline, when a Gong user shares content with external participants (for example, a contract was “shared” by the account executive with his prospects)

Required authorizaton scope: 'api:engagement-data:write'.

Body parameters
Expand All
object

Content Shared Event

reportingSystem
string Required

The unique identifier of the reporting system. It is the same value in all events originating from the same system.

Exampleabc123
eventTimestamp
string Required

The date and time when the event happened in the ISO-8601 format (e.g., '2021-08-01T02:30:00+05:00' or '2021-08-01T08:00:00Z', where Z stands for UTC);

Example2021-02-17T02:30:00-08:00
eventId
string

The original id of the event as designated in the reporting system.

Exampleabc123
contentId
string Required

The id of the content that was shared in the reporting system.

Exampledoc_123456789
contentUrl
string Required

The url of the content that was shared in the reporting system. This is the url that is was accessed by the viewer.

Examplehttps://example.com/doc_123456789
contentTitle
string Required

Human readable title of the content.

ExampleFeatures & Spec V.1
shareId
string

The id of the share action, in case there can be more than one share per content.

Exampleabc123
shareInfoUrl
string

The link to a page that presents additional information about this event.

Examplehttps://example.com/path/to/a/page
sharingMessageSubject
string

The subject of share email / message.

ExampleSample Subject
sharingMessageBody
string

The share message body. Can contain HTML and will be cleaned when it is presented.

Example<b>Hi</b>
sharer
object (Sharer)
id
string

The user id in Gong, if available.

Example234599484848423
email
string

The email address of the person, if available.

Exampletest@test.com
name
string

The name of the person, if available.

ExampleTest User
recipients
Array of object (Actor)

array of objects with name + email of recipients. Email is required.

object
email
string

The email address of the person, if available.

Exampletest@test.com
name
string

The name of the person, if available.

ExampleTest User
title
string

The title of the person, if available.

ExampleEnterprise Account Executive
context
Array of object (PartyUploadContext)

A list of links to external systems such as CRM, Telephony System, Case Management, etc.

object

Links to external systems such as CRM, Telephony System, Case Management etc. Currently only Salesforce and Generic are supported.

system
string Required

External system name. Currently only Salesforce and Generic are supported.

Valid values[ "Salesforce", "HubSpot", "MicrosoftDynamic", "Generic" ]
ExampleSalesforce
objects
Array of object (ExternalCrmPartyObject)

List of objects within the external system

object

External object associated with the party

objectType
string Required

Object Type. Valid only for non-company parties. e.g. Lead.

Valid values[ "Lead", "Contact", "Account", "Opportunity", "User", "Lead,Contact" ]
ExampleContact
objectId
string Required

Object ID. For Salesforce both case-sensitive and case-insensitive formats are supported.

Example0013601230sV7grAAC
fields
Array of object (CrmPartyContextField)

Object fields. Intended for future use only.

object

External object data

name
string

Field name

Examplename
value
object

Object value

ExampleGong Inc.
crmContext
Array of object (CallUploadContext)

A list of references to external systems such as CRM, Telephony System, Case Management, etc.

object

Links to external systems such as CRM, Telephony System, Case Management etc. Currently only Salesforce and Generic are supported.

system
string Required

External system name. Currently only Salesforce and Generic are supported.

Valid values[ "Salesforce", "HubSpot", "MicrosoftDynamic", "Generic" ]
ExampleSalesforce
objects
Array of object (ExternalCrmCallObject)

List of objects within the external system. Note: Multiple opportunities/deals belonging to the same account are not supported.

object

External object associated with the call

objectType
string Required

Object Type. e.g. Account.

Valid values[ "Opportunity", "Account", "Lead", "Contact", "User", "Opportunity,Account" ]
ExampleAccount
objectId
string Required

Object ID. For Salesforce both case-sensitive and case-insensitive formats are supported.

Example0013601230sV7grAAC
fields
Array of object (ContextField)

Object fields. Intended for future use only.

object

External object data

name
string

Field name. For Account supported fields are: Name, Website, Industry and all the custom fields. For Opportunity supported fields are Name, LeadSource, Type, StageName, Probability, Amount, CloseDate and all the custom fields.

Examplename
value
object

Field value

ExampleGong Inc.
contentProperties
Array of object (Generic Property)

A list of additional properties for the content

object

A list of additional properties for the event

name
string Required

Property name.

value
string Required

Property value. Value format should match dataType. If dataType is "number", value should be passed in JSON number format, e.g. 3.14. If dataType is "date", the value should be passed in JSON date format, e.g. 2021-02-17T02:30:00-08:00. If the dataType is "url", the value should be valid URL, e.g. "https://example.com/example?q=v"

Examplestring
dataType
string Required

Property data type.

Valid values[ "number, string, url, date" ]
Examplestring
eventProperties
Array of object (Generic Property)

A list of additional properties for the event

object

A list of additional properties for the event

name
string Required

Property name.

value
string Required

Property value. Value format should match dataType. If dataType is "number", value should be passed in JSON number format, e.g. 3.14. If dataType is "date", the value should be passed in JSON date format, e.g. 2021-02-17T02:30:00-08:00. If the dataType is "url", the value should be valid URL, e.g. "https://example.com/example?q=v"

Examplestring
dataType
string Required

Property data type.

Valid values[ "number, string, url, date" ]
Examplestring
workspaceId
string

Optional workspace identifier. If specified, the event will be placed into this workspace, otherwise, the default algorithm for workspace placement will be applied.

Example623457276584334
actionName
string

The name of the action like "Document Sent" or "Presentation Shared".

ExampleMy Title
nonCompanyParticipants
Array of object (Actor)
object
email
string

The email address of the person, if available.

Exampletest@test.com
name
string

The name of the person, if available.

ExampleTest User
title
string

The title of the person, if available.

ExampleEnterprise Account Executive
context
Array of object (PartyUploadContext)

A list of links to external systems such as CRM, Telephony System, Case Management, etc.

object

Links to external systems such as CRM, Telephony System, Case Management etc. Currently only Salesforce and Generic are supported.

system
string Required

External system name. Currently only Salesforce and Generic are supported.

Valid values[ "Salesforce", "HubSpot", "MicrosoftDynamic", "Generic" ]
ExampleSalesforce
objects
Array of object (ExternalCrmPartyObject)

List of objects within the external system

object

External object associated with the party

objectType
string Required

Object Type. Valid only for non-company parties. e.g. Lead.

Valid values[ "Lead", "Contact", "Account", "Opportunity", "User", "Lead,Contact" ]
ExampleContact
objectId
string Required

Object ID. For Salesforce both case-sensitive and case-insensitive formats are supported.

Example0013601230sV7grAAC
fields
Array of object (CrmPartyContextField)

Object fields. Intended for future use only.

object

External object data

name
string

Field name

Examplename
value
object

Object value

ExampleGong Inc.
moreInfoUrl
string
trackingId
string
userAgent
string
mobileAppId
string
agentPlatform
string
Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
integrationId
integer (int64)
Your integration ID to be used in requests to the API. This ensures you are accessing the correct integration.
Note: Parse the integrationId as Long or BigInt. Parsing the integrationId as an Integer will truncate the integrationId to trailing zeros and will return an incorrect ID.
Example5517027188234206000
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
409

Conflict - Event was already reported in the past.

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string